com.amazonaws.services.cloudfront.model

## Class OriginCustomHeader

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.OriginCustomHeader

All Implemented Interfaces:
  Serializable, Cloneable

    public class OriginCustomHeader
    extends Object
    implements Serializable, Cloneable

A complex type that contains `HeaderName` and `HeaderValue` elements, if any, for this distribution.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`OriginCustomHeader()`

### Method Summary

All Methods Instance Methods Concrete Methods
`OriginCustomHeader` `clone()`
`boolean` `equals(Object obj)`
`String` `getHeaderName()` The name of a header that you want CloudFront to forward to your origin.
`String` `getHeaderValue()` The value for the header that you specified in the `HeaderName` field.
`int` `hashCode()`
`void` `setHeaderName(String headerName)` The name of a header that you want CloudFront to forward to your origin.
`void` `setHeaderValue(String headerValue)` The value for the header that you specified in the `HeaderName` field.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`OriginCustomHeader` `withHeaderName(String headerName)` The name of a header that you want CloudFront to forward to your origin.
`OriginCustomHeader` `withHeaderValue(String headerValue)` The value for the header that you specified in the `HeaderName` field.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OriginCustomHeader

    public OriginCustomHeader()

### Method Detail

#### setHeaderName

    public void setHeaderName(String headerName)

The name of a header that you want CloudFront to forward to your origin. For more information, see Forwarding Custom Headers to Your Origin (Web Distributions Only) in the Amazon Amazon CloudFront Developer Guide.

Parameters:
  `headerName` - The name of a header that you want CloudFront to forward to your origin. For more information, see Forwarding Custom Headers to Your Origin (Web Distributions Only) in the Amazon Amazon CloudFront Developer Guide.

#### getHeaderName

    public String getHeaderName()

The name of a header that you want CloudFront to forward to your origin. For more information, see Forwarding Custom Headers to Your Origin (Web Distributions Only) in the Amazon Amazon CloudFront Developer Guide.

Returns:
  The name of a header that you want CloudFront to forward to your origin. For more information, see Forwarding Custom Headers to Your Origin (Web Distributions Only) in the Amazon Amazon CloudFront Developer Guide.

#### withHeaderName

    public OriginCustomHeader withHeaderName(String headerName)

The name of a header that you want CloudFront to forward to your origin. For more information, see Forwarding Custom Headers to Your Origin (Web Distributions Only) in the Amazon Amazon CloudFront Developer Guide.

Parameters:
  `headerName` - The name of a header that you want CloudFront to forward to your origin. For more information, see Forwarding Custom Headers to Your Origin (Web Distributions Only) in the Amazon Amazon CloudFront Developer Guide.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setHeaderValue

    public void setHeaderValue(String headerValue)

The value for the header that you specified in the `HeaderName` field.

Parameters:
  `headerValue` - The value for the header that you specified in the `HeaderName` field.

#### getHeaderValue

    public String getHeaderValue()

The value for the header that you specified in the `HeaderName` field.

Returns:
  The value for the header that you specified in the `HeaderName` field.

#### withHeaderValue

    public OriginCustomHeader withHeaderValue(String headerValue)

The value for the header that you specified in the `HeaderName` field.

Parameters:
  `headerValue` - The value for the header that you specified in the `HeaderName` field.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public OriginCustomHeader clone()

Overrides:
  `clone` in class `Object`